Сломался pacman (GLIBC_2.34). ☆o(><;)○

art896, что то ты намудрил со своей системой ... не нужно было экспериментировать с пакетами BlackArch.
Как пример, в части лога
pacman: /usr/lib/libc.so.6: version `GLIBC_2.34' not found (required by pacman)
В ArchLinux никогда не было пакета версии glibc 2.34- (версия glibc 2.33-5 сразу обновилась на версию glibc 2.35-1)
Проще будет установить по новой - меньше потратишь времени, чем на решение проблемы ...
Ошибки не исчезают с опытом - они просто умнеют
pacman не должен был дать провернуть такой финт. Моя думать это какой-то пакет из blackarch переписал, и вполне возможно только один файл. Так что может быть не всё так страшно как кажется. Сейчас лог выложит посмотрим что он там обновил
Ошибки в тексте-неповторимый стиль автора©
indeviral
$ cat /var/log/pacman.log | grep 2022-09-
покажите, чисто посмеяться)

[2022-09-10T00:12:52+0300] [PACMAN] Running 'pacman -S pacman'
[2022-09-10T00:14:56+0300] [PACMAN] Running 'pacman -S archlinux-keyring'
[2022-09-10T00:14:59+0300] [ALPM] transaction started
[2022-09-10T00:14:59+0300] [ALPM] upgraded archlinux-keyring (20210802-1 -> 20220831-1)
[2022-09-10T00:15:00+0300] [ALPM-SCRIPTLET] ==> Добавление ключей из файла 'archlinux.gpg'...
[2022-09-10T00:15:11+0300] [ALPM-SCRIPTLET] ==> Локальное подписывание доверенных ключей в связке...
[2022-09-10T00:15:11+0300] [ALPM-SCRIPTLET] gpg: проверка таблицы доверия
[2022-09-10T00:15:12+0300] [ALPM-SCRIPTLET] gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
[2022-09-10T00:15:12+0300] [ALPM-SCRIPTLET] gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
[2022-09-10T00:15:12+0300] [ALPM-SCRIPTLET] gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
I learn Linux...)))
Как выложить полный листинг?
I learn Linux...)))
art896
на pastebin можно или git как вам удобнее
Ошибки в тексте-неповторимый стиль автора©
Вот pacman log
I learn Linux...)))
--overwrite=*
сам себе злой буратино.
vasek
Проще будет установить по новой - меньше потратишь времени, чем на решение проблемы …
теперь, никаких других мнений быть не должно)
Ошибки в тексте-неповторимый стиль автора©
indeviral
–overwrite=*

Переставлять систему?
I learn Linux...)))
$ pacman -Q glibc
$ ls -la /usr/lib/ld-linux-x86-64.so.2
$ ls -la /usr/lib/libc.so
Ошибки в тексте-неповторимый стиль автора©
indeviral
$ pacman -Q glibc
$ ls -la /usr/lib/ld-linux-x86-64.so.2
$ ls -la /usr/lib/libc.so

sudo pacman -Q glibc

pacman: /usr/lib/libc.so.6: version `GLIBC_2.34' not found (required by pacman)   ¯\_(ツ)_/¯

ls -la /usr/lib/ld-linux-x86-64.so.2
lrwxrwxrwx 1 root root 10 мая 12  2021 /usr/lib/ld-linux-x86-64.so.2 -> ld-2.33.so

ls -la /usr/lib/libc.so
-rw-r--r-- 1 root root 255 мая 12  2021 /usr/lib/libc.so
I learn Linux...)))
 
Зарегистрироваться или войдите чтобы оставить сообщение.